Re: #14668: Disable support for obsolete SSL cipher suites and enable support for newer ones

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: #14668: Disable support for obsolete SSL cipher suites and enable support for newer ones

Pidgin
#14668: Disable support for obsolete SSL cipher suites and enable support for newer
ones
---------------------------------+-------------------------
 Reporter:  itsnotabigtruck      |       Owner:  darkrain42
     Type:  patch                |      Status:  new
Milestone:                       |   Component:  libpurple
  Version:  2.10.0               |  Resolution:
 Keywords:  tls ssl nss ciphers  |
---------------------------------+-------------------------

Comment (by ildar):

 @itsnotabigtruck , please.

 This patch is more actual each day. Could someone apply it and add names
 etc. later?

 ref: https://github.com/matrix-org/purple-matrix/issues/80

--
Ticket URL: <https://developer.pidgin.im/ticket/14668#comment:4>
Pidgin <https://pidgin.im>
Pidgin
_______________________________________________
Tracker mailing list
[hidden email]
https://pidgin.im/cgi-bin/mailman/listinfo/tracker
Reply | Threaded
Open this post in threaded view
|

Re: #14668: Disable support for obsolete SSL cipher suites and enable support for newer ones

Pidgin
#14668: Disable support for obsolete SSL cipher suites and enable support for newer
ones
---------------------------------+-------------------------
 Reporter:  itsnotabigtruck      |       Owner:  darkrain42
     Type:  patch                |      Status:  new
Milestone:                       |   Component:  libpurple
  Version:  2.10.0               |  Resolution:
 Keywords:  tls ssl nss ciphers  |
---------------------------------+-------------------------

Comment (by grim):

 I'll look at this soon, but we do not have a date or even time frame for
 2.14 (the next release yet).

--
Ticket URL: <https://developer.pidgin.im/ticket/14668#comment:5>
Pidgin <https://pidgin.im>
Pidgin
_______________________________________________
Tracker mailing list
[hidden email]
https://pidgin.im/cgi-bin/mailman/listinfo/tracker
Reply | Threaded
Open this post in threaded view
|

Re: #14668: Disable support for obsolete SSL cipher suites and enable support for newer ones

Pidgin
In reply to this post by Pidgin
#14668: Disable support for obsolete SSL cipher suites and enable support for newer
ones
---------------------------------+-------------------------
 Reporter:  itsnotabigtruck      |       Owner:  darkrain42
     Type:  patch                |      Status:  closed
Milestone:                       |   Component:  libpurple
  Version:  2.10.0               |  Resolution:  fixed
 Keywords:  tls ssl nss ciphers  |
---------------------------------+-------------------------
Changes (by grim):

 * status:  new => closed
 * resolution:   => fixed


Comment:

 An alternative to this was actually merged in for 2.13.0 in
 https://bitbucket.org/pidgin/main/commits/2deceb0

--
Ticket URL: <https://developer.pidgin.im/ticket/14668#comment:6>
Pidgin <https://pidgin.im>
Pidgin
_______________________________________________
Tracker mailing list
[hidden email]
https://pidgin.im/cgi-bin/mailman/listinfo/tracker